import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class SubSelectedControllerConsumer<TController extends Cubit<TFullState>, TFullState, TFilteredState> extends StatelessWidget {
  final Widget Function(BuildContext context, TFilteredState state) child;
  final TFilteredState Function(TFullState state) subselect;
  const SubSelectedControllerConsumer({required this.subselect, required this.child, super.key});

  @override
  Widget build(BuildContext context) => BlocSelector<TController, TFullState, TFilteredState>(selector: subselect, builder: child);
}
